.searchSection {
    background-image: url(https://res.cloudinary.com/dxrrzxqkv/image/upload/v1773114997/36940_wqqk0z.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 500px;
    background-color: var(--card-bg);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    position: relative;
    padding: 0 20px;
}

.searchSection::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.39);
}

.searchSection>h3 {
    color: White;
    font-size: 36px;
    margin-bottom: 10px;
    z-index: 2;
    text-shadow: 0 0 5px 15px black;
    text-align: center;
}

.searchSection>input {
    outline: none;
    border: 2px solid var(--card-bg-hover);
    border-radius: 30px;
    padding: 15px 20px;
    color: gray;
    width: 100%;
    max-width: 600px;
    font-size: 17px;
    z-index: 2;
}

.headingContainer {
    width: 100%;
    background-color: var(--card-bg);
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 20px;
    text-align: center;
}

.blogSidebarBtnContainer {
    width: 100%;
}

.blogSidebarBtnContainer {
    display: none;
}

.postsSection {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
    padding: 20px;
    place-items: center;
    place-content: center;
    min-height: 60vh;
}

.post {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 280px;
    height: 550px;
    border: 2px solid var(--card-bg);
    border-radius: 12px;
    padding: 10px;
}

.post:hover {
    background-color: var(--card-bg);
    border: 2px solid var(--card-bg-hover);
    box-shadow: 0 0 5px 2px var(--card-bg-hover);
}

.featuredImgContainer {
    width: 100%;
}

.featuredImgContainer>img {
    width: 100%;
    height: 250px;
    border-radius: 10px;
}

.contentContainer {
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 10px;
}

.postHeading {
    font-size: 18px;
    font-weight: 600;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    text-overflow: clip;
    overflow: hidden;
}

.bubbles {
    display: flex;
    gap: 5px;
}

.bubble {
    /* background-color: var(--card-bg); */
    border: 1px solid var(--card-bg-hover);
    border-radius: 30px;
    padding: 3px 7px;
    color: var(--desc-text);
    font-size: 12px;
}

.postDescription {
    font-size: 16px;
    line-height: 22px;
    letter-spacing: 0.5px;
    color: rgb(32, 32, 32);
    text-align: justify;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    line-clamp: 4;
    text-overflow: clip;
    overflow: hidden;
}

.postCtaBtn {
    background-color: var(--card-bg);
    padding: 5px 0;
    border: 2px solid var(--card-bg-hover);
    border-radius: 30px;
    width: 100%;
    color: var(--desc-text);
    font-size: 18px;
    font-weight: 400;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.postCtaBtn:hover {
    background-color: var(--card-bg-hover);
    box-shadow: 2px 1px 2px 1px var(--card-bg-hover);
}

.otherData {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 13px;
    font-size: 18px;
    color: var(--light-text-color);
    font-weight: 400;
}

@media (max-width: 1360px) {
    .postsSection {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 1024px) {
    .postsSection {
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (max-width: 768px) {
    .postsSection {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 550px) {
    .postsSection {
        grid-template-columns: repeat(1, 1fr);
    }
}